PHP Manual
Prev |  | Next

# yp_first

(PHP 3 >= 3.0.7, PHP 4, PHP 5 <= 5.0.4)

yp_first -- Returns the first key-value pair from the named map

## Description

array yp_first ( string domain, string map )

Gets the first key-value pair from the named `map` in the named `domain`.

## Parameters

`domain`

  The NIS domain name.

`map`

  The NIS map.

## Return Values

Returns the first key-value pair as an array on success, or `FALSE` on errors.

## Examples

Example 1. Example for the NIS first

`<?php $entry = yp_first($domain, "passwd.byname"); $key = key($entry); $value = $entry[$key]; echo "First entry in this map has key " . $key . " and value " . $value; ?>`

## See Also

yp_next()
yp_get_default_domain()

Prev | Home | Next
yp_errno | Up | yp_get_default_domain